/* Banners and their layouts */

.unslider-arrow{
  img{
    vertical-align: middle;
  }
}

picture {
  // Responsive
  overflow: hidden;
  height: 100%;

  display: block;

  source,
  img{
    width: 100%;
    height: auto;

    .showcase-3 ~ .showcase-3 & {
      height: 100%;
    }
  }
}

.billboard{
  &--container{
    position: relative;
    margin-bottom: 1rem;
    @include wider-than( desktop ){
      margin-bottom: 1.875rem;
    }

    ul {
      margin: 0;
      padding: 0;
      list-style: none;
    }

    li{
      list-style: none;
    }

    // When slider is activated
    .unslider & {
      margin: 0;
      width: 100%;
    }
  }
}

.banner--object{
  position: relative;

  @include not-wider-than( tablet ){
    &:not(:last-child) {
      margin-bottom: 1rem;
    }
  }

  &--image{
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: 100% auto;
  }

  // Desktop titles
  &--d{
    &--title{
      display: none;
      @include wider-than( desktop ){
        display: block;
        position: absolute;
        top: 50%;
        transform: translateY( -50% );
        left: 0;
        width: 100%;
        text-align: center;
        z-index: 10;
        height: 100%;
        background-color: fade-out( black, 0.8 );

        &--top,
        &--bottom {
          display: block;
          color: white;
          position: absolute;
          width: 100%;
          text-align: center;
          &:empty{ display: none; }
        }

        &--top{
          bottom: 50%;
          @include modular( 2rem );
          font-weight: 700;
        }
        &--bottom{
          top: 50%;
          @include modular( 1.5rem );
        }
      }
    }
  }

  // Tablet titles
  &--t{
    &--title{
      display: none;
      @include wider-than( tablet ){
        @include not-wider-than( desktop ){
          display: block;
          position: absolute;
          top: 50%;
          transform: translateY( -50% );
          left: 0;
          width: 100%;
          text-align: center;
          z-index: 10;
          height: 100%;
          background-color: fade-out( black, 0.8 );

          &--top,
          &--bottom {
            display: block;
            color: white;
            position: absolute;
            width: 100%;
            padding: 0 2rem;
            text-align: center;
            &:empty{ display: none; }
          }

          &--top{
            bottom: 50%;
            @include modular( 2rem );
            font-weight: 700;
          }
          &--bottom{
            top: 50%;
            @include modular( 1.5rem );
          }
        }
      }
    }
  }

  // Mobile titles
  &--m{
    &--title{
        display: block;
        position: absolute;
        top: 50%;
        transform: translateY( -50% );
        left: 0;
        width: 100%;
        text-align: center;
        z-index: 10;
        height: 100%;
        background-color: fade-out( black, 0.8 );

        &--top {
          display: block;
          color: white;
          position: absolute;
          width: 100%;
          padding: 0 2rem;
          text-align: center;
          &:empty{ display: none; }
        }

        &--top{
          bottom: 50%;
          @include modular( 2rem );
          font-weight: 700;
        }


      @include wider-than( tablet ){
        display: none;
      }
    }
  }
}

/* Layout options */
@for $i from 2 through 4{
  .showcase-#{$i}{
    &:nth-of-type( #{$i} ) ~ & {
      display: none;
    }
  }
}

.showcase-1 {
  width: 100%;
}

.showcase-2 {
  @include wider-than( tablet ) {
    @include span( 6, 12, 1rem );
    & ~ & {
      margin-right: 0;
    }
  }

  @include wider-than( desktop ) {
    @include span( 6, 12 );
    & ~ & {
      margin-right: 0;
    }
  }
}

.showcase-2-5{
  width: 100%;
  @include wider-than( tablet ) {
    @include span( 4, 12, 1rem );
    & ~ & ~ & {
      margin-right: 0;
    }
  }

  @include wider-than( desktop ) {
    @include span( 4, 12 );
    & ~ & ~ & {
      margin-right: 0;
    }
  }
}

.showcase-3 {

  /* Tablet based banner layout */

  @include not-wider-than( tablet ) {
    margin-bottom: 1rem;
  }

  @include wider-than( tablet ) {
    @include not-wider-than( desktop ) {
      width: 100%;
      float: left;

      &:first-of-type{
        margin-bottom: 1rem;
      }

      &:nth-of-type(2),
      &:nth-of-type(3) {
        @include span( 6, 12, 1rem );
        height: 48%;
        height: calc( 50% - 0.9375rem );
        bottom: 0;
        left: 0;
      }

      &:nth-of-type(3){
        right: 0;
        margin-bottom: 0;
        margin-right: 0;
      }
    }
  }
  /* Desktop based banner layout */
  @include wider-than( desktop ) {
    @include span( 8, 12 );

    &:nth-of-type(2),
    &:nth-of-type(3) {
      @include span( 4, 12, $last:true );
      margin-right: 0;
      height: 48%;
      height: calc( 50% - 0.9375rem );
      position: absolute;
      top: 0;
      right: 0;
    }

    &:nth-of-type(3){
      top: auto;
      bottom: 0;
      margin-bottom: 0;
    }
  }
}

.showcase-4{
  margin-bottom: 1rem;
  @include wider-than( desktop ) {
    @include span( 6, 12 );
    margin-bottom: 1.875rem;
    &:nth-of-type( even ){
      margin-right: 0;
    }
  }
}
